// Sprite.h

#ifndef _SPRITE_H_
#define _SPRITE_H_

#include <d3dx9.h>
#include <d3dx9core.h>

const int SCREEN_WIDTH = 640;
const int SCREEN_HEIGHT = 480;

class Sprite
{
public:
	Sprite();
	void draw(LPDIRECT3DDEVICE9 pD3DDevice, D3DXMATRIX *matViewProj);
	void update(float deltaTime);
private:
	float x, y;
	float velX, velY;
	int width, height;
	float angle;
	D3DXMATRIX matTexture;
};

#endif